Page 1 of 1

[550] Plugin crash (garbage_powerstation.json:402)

Posted: Sat Dec 08, 2018 15:53
by Akira Maruni
Hi, I got the following error with a plugin (garbage_powerstation.json:402):

Code: Select all

In /storage/emulated/0/TheoTown/plugins/garbage_powerstation/garbage_powerstation.json:

java.lang.IllegalStateException: When loading "$windturbine01": $windturbine01 is already in use. Use another id or add "override":true to your plugin.
Device: Andromax A26C4H (Smartfren)
Android: 23 (6.0.1)

Thank you in advance.

Notes:
1) There is another post which has same topic in here but more advance explanation https://theotown.com/forum/viewtopic.php?f=36&t=8993
2) Not only Garbage Power Plant but Geothermal Energy Power Plant has same problem and error.

Re: [550] Plugin crash (garbage_powerstation.json:402)

Posted: Sat Dec 08, 2018 19:54
by CommanderABab
A possibility is that you unzipped the plugins and copied both the zip file and the unzipped folder to your plugins folder. If that is the case, remove the zip file. :)

If not:

Code: Select all

When loading "$windturbine01": $windturbine01 is already in use. Use another id or add "override":true to your plugin.

Three choices:
1. Rename the json with an _ at the beginning so that it isn't loaded.
2. Edit the plugin(s) adding the

Code: Select all

"override":true"
where the ids cause error as suggested above.
3. Remove the plugins.

Re: [550] Plugin crash (garbage_powerstation.json:402)

Posted: Sun Dec 09, 2018 2:12
by Akira Maruni
@CommanderABAB I've no unzippped file on there but, when I try investigate the plugins, I found that JustWindTurbine have conflict with those plugins. But where should I place that code to the conflicted plugin ?

Re: [550] Plugin crash (garbage_powerstation.json:402)

Posted: Sun Dec 09, 2018 10:32
by lvmgaming13
Change this:

Code: Select all

"$windturbine02"